/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "game.h"
#include "input.h"
#include "render/scene.h"

game_t GAME;

void gameInit() {
  memset(&GAME, 0, sizeof(game_t));

  inputInit();
  sceneInit();
}

void gameUpdate() {
  GAME.tick++;
  
  inputUpdate();
  sceneUpdate();
}

void gameDispose() {
  
}